Send Partner Documents

Creates a delivery job to send a previously generated partner opening document order. This includes:

  • eFolder Document Folders creation and registers barcodes for the list of docs that are being sent for partner delivery.
  • Creates Disclosure Tracking (DT) record in 'Pending' status.
  • Creates an Partner Service Order transaction in Encompass Partner Connect (EPC) that can be used by partners to deliver documents to recipients.

This API added with the 26.3 release of Encompass.

📘

This API is limited to lenders using EPC partners (i.e., a prerequisite is the partner must be set up in the Services Management of Encompass).

Usage Notes

How to Retrieve the Partner Entity ID

  1. Open Encompass web and navigate to Services > Services Management.
  2. In the Category drop-down, select Document Preparation.
  3. Locate the appropriate partner service and click Service Setup.
  4. Select the ellipsis (...) menu and click the Edit icon.
  5. On the Edit Service page, click the Copy icon next to the Service Name heading to copy the Partner Entity ID to your clipboard.

Alternative Method: The Partner Entity ID is also displayed in the browser URL when viewing the service in Edit mode. You can copy the ID directly from the URL if needed.


📘

If the response from the Get Opening Order Status for the given Opening Doc Set includes the attribute "difference": "removed" for any of the documents included in the Order Status, the documents denoted as "removed" MUST NOT be included in the Send Opening Package API request. Otherwise, an error will occur in document delivery.

Path Params
string
required

Unique identifier of the document order returned during order document operation.

string
required

The order type for which Documents need to be delivered to the Partner. Possible values: opening, forms

Query Params
string

The unique lock ID acquired on the loan. You must pass the lockId if you have already or want to acquire an exclusive lock on the loan. If lockId passed, it will be sent to the downstream system and can be used for Encompass loan updates by downstream systems.

Body Params
documents
array of objects
required

List of all the document IDs that need to be delivered to the partner. You can get the document IDs from the response body of get order document operation for any of the following workflows:

  • Generate Opening Doc Set POST /encompassdocs/v1/documentOrders/opening
  • Generate Forms POST /encompassdocs/v1/documentOrders/forms
documents*
package
object
required

The package that includes all the sender and recipient information.

partner
object
required

Partner Entity Information used to deliver the package.

Headers
string
required

Bearer token.

Responses

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

Language
URL
LoadingLoading…
Response
Choose an example:
application/json